summaryrefslogtreecommitdiffstats
path: root/pasture/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /pasture/source
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to '')
-rwxr-xr-xextra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild (renamed from pasture/source/make/make.SlackBuild)95
-rw-r--r--pasture/source/gxine/gxine.desktop14
-rw-r--r--pasture/source/make/slack-desc19
-rw-r--r--pasture/source/mesa-7.8.2/README.GIT16
-rw-r--r--pasture/source/mesa-7.8.2/get-mesa.sh8
-rw-r--r--pasture/source/mesa-7.8.2/mesa.url1
-rw-r--r--pasture/source/mesa-7.8.2/slack-desc19
-rw-r--r--source/l/icu4c/slack-desc (renamed from pasture/source/gxine/slack-desc)22
-rwxr-xr-xsource/l/lcms2/lcms2.SlackBuild (renamed from pasture/source/gxine/gxine.SlackBuild)80
-rwxr-xr-xsource/n/cifs-utils/cifs-utils.SlackBuild (renamed from pasture/source/mesa-7.8.2/mesa.SlackBuild)109
10 files changed, 178 insertions, 205 deletions
diff --git a/pasture/source/make/make.SlackBuild b/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild
index 32e4b2502..8ea087382 100755
--- a/pasture/source/make/make.SlackBuild
+++ b/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,42 +21,61 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.81
-BUILD=${BUILD:-3}
+PKGNAM=xf86-video-fbdev
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-make
+NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf make-$VERSION
-tar xjvf $CWD/make-$VERSION.tar.bz2 || exit 1
-cd make-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -64,35 +83,53 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
+# Configure:
+CFLAGS=$SLKCFLAGS \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
--infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/xf86-video-fbdev-$VERSION \
+ --disable-static \
--build=$ARCH-slackware-linux
-make || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-gzip -9 $PKG/usr/man/man1/*
-rm $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
-# This has been here so long that it should probably stay.
-# Trying to get rid of ginstall didn't go well, so... :-)
-( cd $PKG/usr/bin
- rm -f gmake
- ln -sf make gmake )
-mkdir -p $PKG/usr/doc/make-$VERSION
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- ABOUT-NLS AUTHORS COPYING NEWS README* \
- $PKG/usr/doc/make-$VERSION/
+ COPYING* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Build the package:
cd $PKG
-makepkg -l y -c n $TMP/make-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/pasture/source/gxine/gxine.desktop b/pasture/source/gxine/gxine.desktop
deleted file mode 100644
index 54e5e6c28..000000000
--- a/pasture/source/gxine/gxine.desktop
+++ /dev/null
@@ -1,14 +0,0 @@
-[Desktop Entry]
-Version=1.0
-Encoding=UTF-8
-Name=gxine
-GenericName=Video Player
-Comment=Play films and songs, or watch digital TV
-Exec=gxine
-MultipleArgs=true
-Icon=/usr/share/pixmaps/gxine.png
-Terminal=false
-Type=Application
-StartupNotify=true
-Categories=GTK;Application;AudioVideo;
-MimeType=video/mpeg;video/msvideo;video/quicktime;video/x-avi;video/x-ms-asf;video/x-ms-wmv;video/x-msvideo;application/x-ogg;application/ogg;audio/x-mp3;audio/x-mpeg;video/x-mpeg;video/x-fli;audio/x-wav;audio/x-mpegurl;audio/x-scpls;audio/x-ms-asx;application/vnd.rn-realmedia;audio/x-real-audio;audio/x-pn-realaudio;application/x-flac;audio/x-flac;application/x-shockwave-flash;audio/mpeg;audio/x-ms-asf;audio/x-m4a;audio/x-ms-wax;video/dv;video/x-anim;video/x-flc;misc/ultravox;application/x-matroska;audio/vnd.rn-realaudio;audio/x-pn-aiff;audio/x-pn-au;audio/x-pn-wav;audio/x-pn-windows-acm;image/vnd.rn-realpix;video/vnd.rn-realvideo
diff --git a/pasture/source/make/slack-desc b/pasture/source/make/slack-desc
deleted file mode 100644
index ef19ca33a..000000000
--- a/pasture/source/make/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-make: make (GNU make utility to maintain groups of programs)
-make:
-make: This is the GNU implementation of make, which was written by Richard
-make: Stallman and Roland McGrath. The purpose of the make utility is to
-make: determine automatically which pieces of a large program need to be
-make: recompiled, and issue the commands to recompile them.
-make:
-make: This is needed to compile just about any major C program, including
-make: the Linux kernel.
-make:
-make:
diff --git a/pasture/source/mesa-7.8.2/README.GIT b/pasture/source/mesa-7.8.2/README.GIT
deleted file mode 100644
index 4e79f374c..000000000
--- a/pasture/source/mesa-7.8.2/README.GIT
+++ /dev/null
@@ -1,16 +0,0 @@
-Anonymous git Access
-
- To get the Mesa sources anonymously (read-only):
-
- 1. Install the git software on your computer if needed.
-
- 2. Get an initial, local copy of the repository with:
-
- git clone git://anongit.freedesktop.org/git/mesa/mesa
-
-
- 3. Later, you can update your tree from the master repository with:
-
- git pull origin
-
-
diff --git a/pasture/source/mesa-7.8.2/get-mesa.sh b/pasture/source/mesa-7.8.2/get-mesa.sh
deleted file mode 100644
index 710043c64..000000000
--- a/pasture/source/mesa-7.8.2/get-mesa.sh
+++ /dev/null
@@ -1,8 +0,0 @@
-rm -rf mesa
-git clone git://anongit.freedesktop.org/git/mesa/mesa
-# package the source archive and clean up:
-( cd mesa ; find . -type d -name .git -exec rm -rf {} \; 2> /dev/null )
-DATE=$(date +%Y%m%d)
-mv mesa mesa-${DATE}_git
-tar cjf mesa-${DATE}_git.tar.bz2 mesa-${DATE}_git
-rm -rf mesa-${DATE}_git
diff --git a/pasture/source/mesa-7.8.2/mesa.url b/pasture/source/mesa-7.8.2/mesa.url
deleted file mode 100644
index f4efeae63..000000000
--- a/pasture/source/mesa-7.8.2/mesa.url
+++ /dev/null
@@ -1 +0,0 @@
-ftp://ftp.freedesktop.org/pub/mesa/
diff --git a/pasture/source/mesa-7.8.2/slack-desc b/pasture/source/mesa-7.8.2/slack-desc
deleted file mode 100644
index 113964bd0..000000000
--- a/pasture/source/mesa-7.8.2/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-mesa: mesa (a 3-D graphics library)
-mesa:
-mesa: Mesa is a 3-D graphics library with an API very similar to that of
-mesa: another well-known 3-D graphics library. :-) The Mesa libraries are
-mesa: used by X to provide both software and hardware accelerated graphics.
-mesa:
-mesa: Mesa was written by Brian Paul.
-mesa:
-mesa:
-mesa:
-mesa:
diff --git a/pasture/source/gxine/slack-desc b/source/l/icu4c/slack-desc
index 18f7cef45..2d0beefda 100644
--- a/pasture/source/gxine/slack-desc
+++ b/source/l/icu4c/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-gxine: gxine (GTK+ media player based on Xine)
-gxine:
-gxine: Xine is a free multimedia player. It plays back CDs, DVDs, and VCDs,
-gxine: multimedia files, and multimedia streamed over a network.
-gxine:
-gxine: The gxine package contains a GTK+ graphical user interface for the
-gxine: Xine multimedia player.
-gxine:
-gxine:
-gxine:
-gxine:
+icu4c: icu4c (International Components for Unicode)
+icu4c:
+icu4c: The International Components for Unicode (ICU) libraries provide
+icu4c: robust and full-featured Unicode services on a wide variety of
+icu4c: platforms.
+icu4c:
+icu4c: Homepage: http://www.icu-project.org/
+icu4c:
+icu4c:
+icu4c:
+icu4c:
diff --git a/pasture/source/gxine/gxine.SlackBuild b/source/l/lcms2/lcms2.SlackBuild
index 172d17aa2..e695b74b1 100755
--- a/pasture/source/gxine/gxine.SlackBuild
+++ b/source/l/lcms2/lcms2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,16 +20,24 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.5.905
+# Modified 2012 by Eric Hameleers <alien at slackware.com>
+
+
+PKGNAM=lcms2
+VERSION=${VERSION:-2.3}
BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
@@ -42,23 +50,30 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
-NUMJOBS=${NUMJOBS:-" -j7 "}
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-gxine
+PKG=$TMP/package-$PKGNAM
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf gxine-$VERSION
-tar xvf $CWD/gxine-$VERSION.tar.bz2 || exit 1
-cd gxine-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -70,42 +85,35 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var/lib \
--mandir=/usr/man \
- --disable-static \
- --with-browser-plugin \
- --build=$ARCH-slackware-linux
+ --enable-static=no \
+ --build=$TARGET
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-#zcat $CWD/gxine.desktop.gz > $PKG/usr/share/applications/gxine.desktop
-#if [ ! -r $PKG/usr/share/pixmaps/gxine.png ]; then
-# exit 1
-#fi
-
-# I'm sorry, but making this link was the worst suggestion I ever
-# went along with. I'll continue to include it (for now), but having
-# (buggy) gxine pop up without prompting all the time is ANNOYING!!!
-#mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
-#( cd $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
-# ln -sf /usr/lib${LIBDIRSUFFIX}/gxine/gxineplugin.so .
-#)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+gzip -9 $PKG/usr/man/man?/*.?
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-mkdir -p $PKG/usr/doc/gxine-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- ABOUT-NLS AUTHORS COPYING* INSTALL NEWS README TODO \
- $PKG/usr/doc/gxine-$VERSION
+ AUTHORS COPYING INSTALL NEWS README* doc \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/gxine-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/pasture/source/mesa-7.8.2/mesa.SlackBuild b/source/n/cifs-utils/cifs-utils.SlackBuild
index d4579625d..ef91a5419 100755
--- a/pasture/source/mesa-7.8.2/mesa.SlackBuild
+++ b/source/n/cifs-utils/cifs-utils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,52 +20,64 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=mesa
-VERSION=${VERSION:-$(echo MesaLib-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
-PKG_VERSION=${VERSION}
+PKGNAM=cifs-utils
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
-# Be sure this list is up-to-date:
-DRI_DRIVERS="i810,i915,i965,mach64,mga,r128,r200,r300,r600,radeon,savage,sis,tdfx,unichrome,swrast"
+NUMJOBS=${NUMJOBS:-" -j7 "}
-NUMJOBS=${NUMJOBS:--j8}
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-mesa
-
-if [ "$ARCH" = "i486" ]; then
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
rm -rf $PKG
mkdir -p $TMP $PKG
+
cd $TMP
-rm -rf Mesa-${VERSION}
-tar xvf $CWD/MesaLib-${PKG_VERSION}.tar.?z* || exit 1
-tar xvf $CWD/MesaGLUT-${PKG_VERSION}.tar.?z* || exit 1
-tar xvf $CWD/MesaDemos-${PKG_VERSION}.tar.?z* || exit 1
-cd Mesa-$VERSION
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION
+
+zcat $CWD/mount.cifs-set-rc-to-0-in-libcap-toggle_dac_capabili.patch.gz | patch -p1 --verbose || exit 1
-# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -73,43 +85,33 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --docdir=/usr/doc/mesa-$VERSION \
- --with-dri-driverdir=/usr/lib${LIBDIRSUFFIX}/xorg/modules/dri \
- --with-dri-drivers="$DRI_DRIVERS" \
--build=$ARCH-slackware-linux
-# Nobody else is enabling this. Seems like it's asking for trouble.
-# --enable-xcb
-
-# This doesn't seem to build - maybe it needs something else...
-# --enable-gallium-nouveau
-
+# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Install gears and glinfo:
-mkdir -p $PKG/usr/bin
-cp -a progs/demos/gears $PKG/usr/bin/gears
-cp -a progs/demos/glinfo $PKG/usr/bin/glinfo
-
-# Install some "demos":
-( cd progs/xdemos
- cp glthreads glxcontexts glxdemo glxgears glxgears_fbconfig glxheads \
- glxinfo glxpbdemo glxpixmap \
- $PKG/usr/bin
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-# Strip binaries:
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README* THANKS TODO \
+ doc/linux-cifs-client-guide.odt \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
-# Compress and link manpages, if any:
+# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
for manpagedir in $(find . -type d -name "man*") ; do
@@ -132,14 +134,17 @@ if [ -d $PKG/usr/info ]; then
)
fi
-mkdir -p $PKG/usr/doc/Mesa-$PKG_VERSION/html
-cp -a COPYING docs/relnotes-$VERSION.html $PKG/usr/doc/Mesa-$PKG_VERSION
-rm -f docs/relnotes*.html docs/RELNOTES*
-cp -a docs/*.html $PKG/usr/doc/Mesa-$PKG_VERSION/html
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$PKG_VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz